DistributionObjectExecutionRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps
Class DistributionObjectExecutionRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.AquaMapsObjectExecutionRequest
          org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps.DistributionObjectExecutionRequest

All Implemented Interfaces:
  GenerationRequest

    public class DistributionObjectExecutionRequest

extends AquaMapsObjectExecutionRequest

Constructor Summary
`DistributionObjectExecutionRequest(Submitted object, java.util.Set<Area> selectedArea, BoundingBox bb, java.util.Set<Species> selectedSpecies, java.util.Map<java.lang.String,Perturbation> envelopeCustomization, java.util.Map<EnvelopeFields,Field> envelopeWeights, AlgorithmType algorithm)`

Method Summary
`AlgorithmType` | `getAlgorithm()`
`java.util.Map<java.lang.String,Perturbation>` | `getEnvelopeCustomization()`
`java.util.Map<EnvelopeFields,Field>` | `getEnvelopeWeights()`
`java.util.Set<Species>` | `getSelectedSpecies()`
`void` | `setAlgorithm(AlgorithmType algorithm)`
`void` | `setEnvelopeCustomization(java.util.Map<java.lang.String,Perturbation> envelopeCustomization)`
`void` | `setEnvelopeWeights(java.util.Map<EnvelopeFields,Field> envelopeWeights)`
`void` | `setSelectedSpecies(java.util.Set<Species> selectedSpecies)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.impl.publishing.AquaMapsObjectExecutionRequest
`getBb, getObject, getSelectedArea, setBb, setObject, setSelectedArea`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributionObjectExecutionRequest

    public DistributionObjectExecutionRequest(Submitted object,
                                              java.util.Set<Area> selectedArea,
                                              BoundingBox bb,
                                              java.util.Set<Species> selectedSpecies,
                                              java.util.Map<java.lang.String,Perturbation> envelopeCustomization,
                                              java.util.Map<EnvelopeFields,Field> envelopeWeights,
                                              AlgorithmType algorithm)

Method Detail

### getSelectedSpecies

    public java.util.Set<Species> getSelectedSpecies()

### setSelectedSpecies

    public void setSelectedSpecies(java.util.Set<Species> selectedSpecies)

### getEnvelopeCustomization

    public java.util.Map<java.lang.String,Perturbation> getEnvelopeCustomization()

### setEnvelopeCustomization

    public void setEnvelopeCustomization(java.util.Map<java.lang.String,Perturbation> envelopeCustomization)

### getEnvelopeWeights

    public java.util.Map<EnvelopeFields,Field> getEnvelopeWeights()

### setEnvelopeWeights

    public void setEnvelopeWeights(java.util.Map<EnvelopeFields,Field> envelopeWeights)

### setAlgorithm

    public void setAlgorithm(AlgorithmType algorithm)

### getAlgorithm

    public AlgorithmType getAlgorithm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD